import { FastifyInstance } from 'fastify';
import {
    getTaskTemplates,
    createTaskTemplate,
    updateTaskTemplate,
    deleteTaskTemplate,
} from '../controllers/task-templates.controller';

export async function taskTemplateRoutes(server: FastifyInstance) {
    server.get('/', getTaskTemplates);
    server.post('/', createTaskTemplate);
    server.patch('/:id', updateTaskTemplate);
    server.delete('/:id', deleteTaskTemplate);
}
